<?xml version="1.0"?>
<scpd xmlns="urn:schemas-upnp-org:service-1-0">
  <specVersion>
    <major>1</major>
    <minor>0</minor>
  </specVersion>

  <actionList>
    <action>
      <name>YAEAVT_SetAVTransportURI</name>
      <argumentList>
	<argument>
	  <name>InstanceID</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAEAVT_CurrentTrack</relatedStateVariable>
	</argument>
	<argument>
	  <name>CurrentURI</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAEAVT_CurrentTrackURI</relatedStateVariable>
	</argument>
	<argument>
	  <name>CurrentURIMetaData</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAEAVT_CurrentTrackDuration</relatedStateVariable>
	</argument>
      </argumentList>
    </action>

    <action>
      <name>YAEAVT_SetPlayMode</name>
      <argumentList>
	<argument>
	  <name>InstanceID</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAEAVT_CurrentTrack</relatedStateVariable>
	</argument>
	<argument>
	  <name>PlayMode</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAEAVT_CurrentPlayMode</relatedStateVariable>
	</argument>
      </argumentList>
    </action>

    <action>
      <name>YAEAVT_Stop</name>
      <argumentList>
	<argument>
	  <name>InstanceID</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAEAVT_CurrentTrack</relatedStateVariable>
	</argument>
      </argumentList>
    </action>

    <action>
      <name>YAEAVT_Play</name>
      <argumentList>
	<argument>
	  <name>InstanceID</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAEAVT_CurrentTrack</relatedStateVariable>
	</argument>
	<argument>
	  <name>Speed</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAEAVT_CurrentPlayMode</relatedStateVariable>
	</argument>
      </argumentList>
    </action>

    <action>
      <name>YAEAVT_Pause</name>
      <argumentList>
	<argument>
	  <name>InstanceID</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAEAVT_CurrentTrack</relatedStateVariable>
	</argument>
      </argumentList>
    </action>

    <action>
      <name>YAEAVT_Next</name>
      <argumentList>
	<argument>
	  <name>InstanceID</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAEAVT_CurrentTrack</relatedStateVariable>
	</argument>
      </argumentList>
    </action>

    <action>
      <name>YAEAVT_Previous</name>
      <argumentList>
	<argument>
	  <name>InstanceID</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAEAVT_CurrentTrack</relatedStateVariable>
	</argument>
      </argumentList>
    </action>
  </actionList>

  <serviceStateTable>
    <stateVariable sendEvents="yes">
      <name>YAEAVT_TransportState</name>
      <dataType>string</dataType>
    </stateVariable>
    <stateVariable sendEvents="yes">
      <name>YAEAVT_TransportStatus</name>
      <dataType>string</dataType>
    </stateVariable>
    <stateVariable sendEvents="yes">
      <name>YAEAVT_CurrentPlayMode</name>
      <dataType>string</dataType>
    </stateVariable>
    <stateVariable sendEvents="yes">
      <name>YAEAVT_CurrentTrackDuration</name>
      <dataType>string</dataType>
    </stateVariable>
    <stateVariable sendEvents="yes">
      <name>YAEAVT_CurrentTrack</name>
      <dataType>ui4</dataType>
    </stateVariable>
    <stateVariable sendEvents="yes">
      <name>YAEAVT_CurrentTrackURI</name>
      <dataType>string</dataType>
    </stateVariable>
    <stateVariable sendEvents="yes">
      <name>YAEAVT_AbsoluteTimePosition</name>
      <dataType>string</dataType>
    </stateVariable>
  </serviceStateTable>
</scpd>
